@import '../../styles/variables';
@import '../../styles/mixins';

.container{
  //background-color: $backgroundColor;
  //height: 100vh;
  //align-items: flex-start;
}
.profile-main{
  @include flexCenter(flex-start);
  flex-direction: column;
  padding: 35px 20px 0;
  width: 100%;
  margin-left: 245px;
  background-color: $backgroundColor;
}
.profile-header{
  @include flexCenter(center);
  align-items: flex-start;
  width: 100%;
  max-width: 935px;
  padding-bottom: 50px;
  &__icon{
    text-align: center;
    width: 35%;
    & img{
      border-radius: 50%;
      width: 150px;
    }
  }
  &__info{
    width: 65%;
    &__nickname{
      @include flexCenter(flex-start);
      flex-wrap: wrap;
      padding-bottom: 35px;
      & h2{
        font-size: 20px;
        color: $text-color;
        padding-right: 30px;
      }
    }
    &__detail{
      @include flexCenter(flex-start);
      padding-bottom: 35px;
      & p{
        padding-right: 30px;
        font-size: 16px;
        color: $text-color;
        & span{
          font-weight: bold;
        }
      }
    }
    &>p{
      font-size: 20px;
      color: $text-color;
      font-weight: bold;
    }
  }
  &__btn{
    background-color: $btn-color;
    padding: 7px 16px;
    font-size: 14px;
    font-weight: bold;
    color: black;
    border-radius: 8px;
    margin-right: 8px;
    cursor: pointer;
  }
}

.profile-section{
  width: 100%;
  @include flexCenter(center);
  flex-direction: column;
  &:before{
    display: block;
    content: '';
    border-top: 1px solid $subtext-color;
    width: 100%;
  }
  &__head{
    @include flexCenter(center);

    &__icon{
      font-size: 12px;
      color: $text-color;
      @include flexCenter(center);
      align-items: normal;

      padding-top: 10px;
      padding-bottom: 10px;
      cursor: pointer;
      & span{
        padding-left: 5px;
      }
      &:first-child{
        border-top:1px solid $text-color;
      }
      &:last-child{
        color: $subtext-color;
        padding-left: 30px;
        &:hover{
          color: $text-color;
          border-top:1px solid $text-color;
        }
      }
    }
  }
  &__posts{
    display: grid;
    grid-template-columns: repeat(3, minmax(auto, 293px));
    column-gap: 3%;
    row-gap: 5%;
    margin-bottom: 28px;
    &__item{
      aspect-ratio: 1/1;
      @include flexCenter(center);
      overflow: hidden;
      cursor:pointer;
      position: relative;
      & img{
        width: 100%;
        height: 100%;
      }
      &__icon{
        padding: 8px;
        width: 100%;
        position: absolute;
        top: 0;
        left: 0;
        @include flexCenter(flex-end);
      }
      &__info{
        width: 100%;
        height: 100%;
        position: absolute;
        top: 0;
        left: 0;
        opacity: 0;
        @include flexCenter(center);
        & span{
          padding-left: 7px;
          color: white;
          font-weight: bold;
        }
        & span:nth-child(2){
          padding-right: 20px;
        }
        &:hover{
          opacity: 1;
          background-color: rgba(0, 0, 0, 0.5);
        }
      }
    }
  }
}

@media (max-width: 1185px) {
  .profile-main{
    padding-left: 91px;
    margin-left: 0;
  }
}
